Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ScriptLibHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ScriptLibHandle

    public class ScriptLibHandle

extends StructureHandle

Represents a handle of jar file used for script handle event. Each jar file has following properties:

name
  name of jar file.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structRef`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`ScriptLibHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of jar file.

Method Summary
`java.lang.String` | `getName()` Returns jar file name value.
`void` | `setName(java.lang.String name)` Sets the jar file name value.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getDefn, getExternalizedValue, getMember, getProperty, getPropertyDefn, getReference, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptLibHandle

    public ScriptLibHandle(SimpleValueHandle valueHandle,
                           int index)

  Constructs the handle of jar file.

  Parameters:
    `valueHandle` - the value handle for jar file list of one property
    `index` - the position of this jar file in the list

Method Detail

### setName

    public void setName(java.lang.String name)
                 throws SemanticException

  Sets the jar file name value.

  Parameters:
    `name` - the jar file name value to set
  Throws:
    `SemanticException`

### getName

    public java.lang.String getName()

  Returns jar file name value.

  Returns:
    the jar file name value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.